package com.caimei365.user.model;

import lombok.Data;

import java.io.Serializable;


/**
 * Description
 *
 * @author : Charles
 * @date : 2021/3/5
 */
@Data
public class ClubPo implements Serializable {
    /**
     * 机构ID
     */
    private Integer clubId;
    /**
     * 用户ID
     */
    private Integer userId;
    /**
     * 机构名称
     */
    private String name;
    /**
     * 机构简称
     */
    private String sName;
    /**
     * 联系手机
     */
    private String contractMobile;
    /**
     * 联系人
     */
    private String linkMan;
    /**
     * 协销ID
     */
    private Integer serviceProviderId;
    /**
     * 注册时间
     */
    private String addTime;
    /**
     * 状态：90:已上线，91:已冻结，92:审查资料未通过,待补充资料，1:待审查资料，2:电话预约，3:已预约，20:待确认，21:待拜访，30:待员工推荐，40:已完成第一次采购
     */
    private Integer status;


}
//`clubID` int NOT NULL AUTO_INCREMENT COMMENT '会所ID',
//  `userID` int DEFAULT NULL COMMENT '用户ID',
//  `name` varchar(50) DEFAULT NULL COMMENT '机构名称',
//  `sname` varchar(20) DEFAULT NULL COMMENT '机构简称',
//  `logo` varchar(200) DEFAULT NULL COMMENT 'logo',
//  `legalPerson` varchar(20) DEFAULT NULL COMMENT '法人',
//  `provinceID` int DEFAULT NULL COMMENT '省',
//  `cityID` int DEFAULT NULL COMMENT '市',
//  `townID` int DEFAULT NULL COMMENT '地址ID',
//  `flag` varchar(100) DEFAULT NULL COMMENT '拉会所上线的用户的cmBindId,以逗号结尾',
//  `inviterBindID` int DEFAULT NULL COMMENT '邀请者cmBindId',
//  `inviterName` varchar(255) DEFAULT NULL COMMENT '邀请者名称',
//  `spID` int DEFAULT NULL COMMENT '协销Id',
//  `mainServiceProviderID` int DEFAULT NULL COMMENT '协销经理Id',
//  `scanTime` varchar(19) DEFAULT NULL COMMENT '扫描时间',
//  `address` varchar(100) DEFAULT NULL COMMENT '详细地址',
//  `linkMan` varchar(50) DEFAULT NULL COMMENT '联系人',
//  `contractPhone` varchar(50) DEFAULT NULL COMMENT '联系电话',
//  `contractMobile` varchar(20) DEFAULT NULL COMMENT '联系手机',
//  `fax` varchar(50) DEFAULT NULL COMMENT '传真',
//  `duty1` varchar(50) DEFAULT NULL COMMENT '职务',
//  `info` varchar(500) DEFAULT NULL COMMENT '公司简介',
//  `addTime` varchar(19) DEFAULT NULL COMMENT '注册时间',
//  `auditTime` varchar(19) DEFAULT NULL COMMENT '审核时间',
//  `auditNote` varchar(100) DEFAULT NULL COMMENT '审核备注',
//  `status` int DEFAULT NULL COMMENT '状态',
//  `businessLicenseImage` varchar(200) DEFAULT NULL COMMENT '营业执照',
//  `defaultServiceProviderID` int DEFAULT NULL COMMENT '默认的创客',
//  `defaultServiceProviderUpdTime` varchar(19) DEFAULT NULL COMMENT '创客更新时间',
//  `mainpro` varchar(200) DEFAULT NULL COMMENT '主打项目',
//  `scanFlag` char(2) DEFAULT '0' COMMENT '扫描状态 0待扫描 1 已扫描 2已上线',
//  `headpic` varchar(200) DEFAULT NULL COMMENT '门头照',
//  `lastModify` varchar(19) DEFAULT NULL COMMENT '最后更新时间',
//  `lastCheckOrderDate` datetime DEFAULT NULL COMMENT '最后查看订单时间(用于协销统计历史订单未查看数量)',
//  `socialCreditCode` varchar(18) DEFAULT NULL COMMENT '统一社会信用代码',
//  `firstClubType` char(10) DEFAULT NULL COMMENT '一级分类为医美=1和生美=2',
//  `secondClubType` char(10) DEFAULT NULL COMMENT '医美的二级分类为诊所=1、门诊=2、医院=3。  生美没有二级分类',
//  `department` varchar(200) DEFAULT NULL COMMENT '若为医美分类下的门诊和医院则需要填写科室。',
//  `medicalPracticeLicenseImg` varchar(200) DEFAULT NULL COMMENT '医美分类必须上传医疗执业许可证',
